> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kakiyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get prospect details

> Returns details of a specific prospect conversation

The `prospect` object includes current company data when available from enrichment:

* `currentCompanyName`
* `currentJobTitle`
* `currentCompanyWebsite`
* `currentCompanyLinkedInUrl`

The conversation response can also include `customData`, the per-chat context available in prompts as `{{customData}}`.


## OpenAPI

````yaml GET /prospects/{chatId}
openapi: 3.1.0
info:
  title: Kakiyo API
  description: API for automating LinkedIn outreach campaigns with AI-powered conversations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.kakiyo.com/v1
security:
  - bearerAuth: []
paths:
  /prospects/{chatId}:
    get:
      summary: Get Prospect Details
      description: Returns details of a specific prospect conversation
      operationId: getProspectDetails
      parameters:
        - name: chatId
          in: path
          description: ID of the chat/conversation
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Prospect details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProspectDetails'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Prospect not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ProspectDetails:
      type: object
      properties:
        id:
          type: string
          example: chat_12345abcde
        status:
          type: integer
          enum:
            - 0
            - 1
            - 2
            - 3
            - 4
            - 5
          example: 2
        qualification:
          type: string
          enum:
            - unqualified
            - needVerification
            - inProgress
            - qualified
          example: inProgress
        paused:
          type: boolean
          example: false
        lastMessage:
          type: string
          format: date-time
          example: '2023-06-15T15:30:00Z'
        campaign:
          type: object
          properties:
            id:
              type: string
              example: campaign_12345abcde
            name:
              type: string
              example: Q2 Sales Outreach
        prospect:
          type: object
          properties:
            id:
              type: string
              example: prospect_12345abcde
            name:
              type: string
              example: John Smith
            url:
              type: string
              example: https://linkedin.com/in/johnsmith
            headline:
              type: string
              example: VP of Sales at Acme Inc
            currentCompanyName:
              type:
                - string
                - 'null'
              example: Acme Inc
            currentJobTitle:
              type:
                - string
                - 'null'
              example: VP of Sales
            currentCompanyWebsite:
              type:
                - string
                - 'null'
              example: https://www.acme.com
            currentCompanyLinkedInUrl:
              type:
                - string
                - 'null'
              example: https://www.linkedin.com/company/acme
            location:
              type: object
              properties:
                city:
                  type: string
                  example: San Francisco
                country:
                  type: string
                  example: United States
            about:
              type: string
              example: >-
                Experienced sales leader with over 15 years in the software
                industry...
        messages:
          type: array
          items:
            type: object
            properties:
              role:
                type: string
                enum:
                  - assistant
                  - user
                example: assistant
              content:
                type: string
                example: >-
                  Hi John, I noticed you're leading the sales team at Acme Inc.
                  I wanted to reach out because we've been helping companies
                  like yours improve their response rates on cold outreach.
                  Would you be open to a quick chat about how we might be able
                  to help?
              date:
                type: string
                format: date-time
                example: '2023-06-15T10:30:00Z'
    Error:
      type: object
      properties:
        error:
          type: string
          example: validation_error
        message:
          type: string
          example: The request parameters failed validation
        details:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
                example: name
              message:
                type: string
                example: The name field is required
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````